import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.ArrayList;
/**
 * The missiles that you shoot to defend yourself
 * 
 * @author Darren Reichler 
 * @version 5/23/16
 */
public class Missileplayer extends Actor
{
    private int speed = 4;
    private int xcoord;
    private int ycoord;
    
    public void act(){
        xcoord = getX();
        ycoord = getY();
        explode();
    }    
    
    private void explode(){
        MyWorld mw = (MyWorld)getWorld();
        ArrayList listOfCrosshairs = (ArrayList)mw.getObjects(Crosshair.class);
        Crosshair crosshair = (Crosshair)listOfCrosshairs.get(0);
        if (xcoord <= crosshair.getxcoord() + 2 && xcoord >= crosshair.getxcoord() - 2 && ycoord <= crosshair.getycoord() + 2 && ycoord >= crosshair.getycoord() - 2){
            crosshair.reload = false;
            Explosion explosion = new Explosion();
            getWorld().addObject(explosion, getX(), getY());
            Greenfoot.playSound("missile_explode.wav");
            getWorld().removeObject(this);
        } else {
            turnTowards(crosshair.getxcoord(),crosshair.getycoord());
            move(speed);
            Trail trail = new Trail();
            getWorld().addObject(trail, getX(), getY());
        }
    }
    
    public int getspeed(){
        return speed;
    }
}
//ActorName variable = ActorName.ActorMethod();