import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * An explosion, it destroys the bad missiles
 * 
 * @author Darren Reichler 
 * @version 5/23/16
 */
public class Explosion extends Actor
{
    private int timer = 0;
    private int xcoord;
    private int ycoord;
    
    public void act() 
    {
        xcoord = getX();
        ycoord = getY();
        animate();
        timer++;
    }    
    
    private void animate(){
        if (timer >= 5 && timer < 10){
            setImage("missile_0002_BOOM1.png");
        } else if (timer >= 10 && timer < 15){
            setImage("missile_0001_BOOM2.png");
        } else if (timer >= 15 && timer < 20){
            setImage("missile_0000_BOOM3.png");
        } else if (timer >= 20 && timer < 120){
            setImage("missile_0001_BOOM2.png");
        } else if (timer >= 120 && timer < 220){
            setImage("missile_0002_BOOM1.png");
        } else if (timer >= 220 && timer < 320){
            setImage("missile_0020_mi1.png");
        } else if (timer >= 320){
            getWorld().removeObject(this);
        }
    }
    
    public int getxcoord(){
        return xcoord;
    }
    
    public int getycoord(){
        return ycoord;
    }
}
