import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The ground on the bottom of the screen. Don't let the bad missiles hit this or you'll lose a city!
 * 
 * @author Darren Reichler 
 * @version 5/23/16
 */
public class Ground extends Actor
{
    private int xcoord;
    private int ycoord;
    
    public void act(){
        xcoord = getX();
        ycoord = getY();
    }    
    
    public int getxcoord(){
        return xcoord;
    }
    
    public int getycoord(){
        return ycoord;
    }
}

/* to call:
   MyWorld mw = (MyWorld)getWorld();
   ArrayList listOfGrounds = (ArrayList)mw.getObjects(Ground.class);
   Ground ground = (Ground)listOfGrounds.get(0);
 */