import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.ArrayList;

/**
 * Outdated bad missile
 * 
 * @author Darren Reichler 
 * @version 5/23/16
 */
public class Missilebad extends Actor
{
    private int anglefree;
    private int anglelockleftwall;
    private int anglelockrightwall;
    private boolean justspawned = true;
    private int xcoord;
    private int ycoord;
    
    public void act(){
        xcoord = getX();
        ycoord = getY();
        if (justspawned){
            anglefree = Greenfoot.getRandomNumber(90) + 45;
            anglelockleftwall = Greenfoot.getRandomNumber(45) + 45;
            anglelockrightwall = Greenfoot.getRandomNumber(45) + 135;
            turnspawn();
            justspawned = false;
        }
        movedown();
        //killselfonwall();
        hittarget();
        spawntrail();
    }   
    
    private void turnspawn(){
        if (xcoord <= 250){
            setRotation(anglelockleftwall);
        } else if (xcoord >= 525){
            setRotation(anglelockrightwall);
        } else {
            setRotation(anglefree);
        }
    }
    
    private void movedown(){
        move(1);
    }
    
    private void killselfonwall(){
        if (isAtEdge()){
            getWorld().removeObject(this);
        }
    }
    
    private void hittarget(){
        if (isTouching(Ground.class)){
            getWorld().removeObject(this);
        }
    }
    
    private void spawntrail(){
        Trail trail = new Trail();
        getWorld().addObject(trail, xcoord, ycoord);
    }
    
    public int getxcoord(){
        return xcoord;
    }
    
    public int getycoord(){
        return ycoord;
    }
}
